# Participer
Date: 2013-12-08

modele

## Class Participer

- java.lang.Object
- - modele.Participer

    public class Participer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Participer()`

### Method Summary

Methods
`java.sql.ResultSet` `getListeParticipants(int pIdEvenement)` retourne une liste de participants (id) pour un evenement (id)
`java.sql.ResultSet` `getListeParticipation(int pIdMembre)` permet d'obtenir une liste d'evenements auquel participe un membre (id)
`int` `getRole(int pIdEvenement, int pIdMembre)` permet d'avoir le role d'un membre lors d'un evenement
`void` `setAnnuler(int pIdEvenement, int pIdMembre)` permet de se désincrire un membre d'un evenelement
`void` `setRole(int pIdEvenement, int pIdMembre, int role)` permet de saisir le role d'un membre lors d'un evenement

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Participer

    public Participer()

### Method Detail

#### setRole

    public void setRole(int pIdEvenement,
               int pIdMembre,
               int role)
                 throws java.lang.InstantiationException,
                        java.lang.IllegalAccessException,
                        java.lang.ClassNotFoundException,
                        java.sql.SQLException

permet de saisir le role d'un membre lors d'un evenement

Parameters:
  `pIdEvenement` -
  `pIdMembre` -
  `role` -
Throws:
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`
  `java.lang.ClassNotFoundException`
  `java.sql.SQLException`

#### getRole

    public int getRole(int pIdEvenement,
              int pIdMembre)
                throws java.lang.InstantiationException,
                       java.lang.IllegalAccessException,
                       java.lang.ClassNotFoundException,
                       java.sql.SQLException

permet d'avoir le role d'un membre lors d'un evenement

Parameters:
  `pIdEvenement` -
  `pIdMembre` -
Returns:
Throws:
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`
  `java.lang.ClassNotFoundException`
  `java.sql.SQLException`

#### setAnnuler

    public void setAnnuler(int pIdEvenement,
                  int pIdMembre)
                    throws java.lang.InstantiationException,
                           java.lang.IllegalAccessException,
                           java.lang.ClassNotFoundException,
                           java.sql.SQLException

permet de se désincrire un membre d'un evenelement

Parameters:
  `pIdEvenement` -
  `pIdMembre` -
Throws:
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`
  `java.lang.ClassNotFoundException`
  `java.sql.SQLException`

#### getListeParticipants

    public java.sql.ResultSet getListeParticipants(int pIdEvenement)
                                            throws java.lang.InstantiationException,
                                                   java.lang.IllegalAccessException,
                                                   java.lang.ClassNotFoundException,
                                                   java.sql.SQLException

retourne une liste de participants (id) pour un evenement (id)

Parameters:
  `pIdEvenement` -
Returns:
Throws:
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`
  `java.lang.ClassNotFoundException`
  `java.sql.SQLException`

#### getListeParticipation

    public java.sql.ResultSet getListeParticipation(int pIdMembre)
                                             throws java.lang.InstantiationException,
                                                    java.lang.IllegalAccessException,
                                                    java.lang.ClassNotFoundException,
                                                    java.sql.SQLException

permet d'obtenir une liste d'evenements auquel participe un membre (id)

Parameters:
  `pIdMembre` -
Returns:
Throws:
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`
  `java.lang.ClassNotFoundException`
  `java.sql.SQLException`